stages:
  - lint
  - build

deno_lint:
  stage: lint
  image: denoland/deno:latest
  script:
    - cd cli
    - deno lint

deno_build:
  stage: build
  image: denoland/deno:latest
  script:
    - cd cli
    - deno compile --import-map ./import_map.json --allow-read --allow-write --unstable -o ../kollagen main.ts
  artifacts:
    paths:
      - kollagen

app_build:
  stage: build
  image: node:lts
  script:
    - node --version && npm --version
    - make app
  cache:
    key: ${CI_COMMIT_REF_SLUG}
    paths:
      - .npm
  artifacts:
    paths:
      - dist
